import { DocDatasource } from './../../datasources/doc-datasource';
import { DashboardManagerBase } from "@csnext/cs-client";
import { IDashboard } from "@csnext/cs-core";
export declare class SearchManager extends DashboardManagerBase {
    static id: string;
    constructor();
    get source(): DocDatasource | undefined;
    start(dashboard: IDashboard): void;
    stop(): void;
    contentLoaded(): Promise<void>;
}
